'use strict';

/* Filters */
angular.module('eventApp.filters', []).
  filter('interpolate', ['version', function(version) {
    return function(text) {
      return String(text).replace(/\%VERSION\%/mg, version);
    }
  }]).
  filter('fgDateShort', function($filter) {
    var angularDateFilter = $filter('date');
    return function(theDate) {
       return angularDateFilter(theDate, "d.M.y");
    }
  }).
  filter('fgDateLong', function($filter) {
    var angularDateFilter = $filter('date');
    return function(theDate) {
       return angularDateFilter(theDate, "EEEE, d.M.y, HH.mm 'Uhr'");
    }
  }).
  filter('fgStartDateTimeOneDay', function($filter) {
    var angularDateFilter = $filter('date');
    return function(theDate) {
       return angularDateFilter(theDate, "EEE d. MMMM y',' HH.mm '-' ");
    }
  }).
  filter('fgEndTime', function($filter) {
    var angularDateFilter = $filter('date');
    return function(theDate) {
       return angularDateFilter(theDate, "HH.mm 'Uhr'");
    }
  }).
  filter('fgDateDay', function($filter) {
    var angularDateFilter = $filter('date');
    return function(theDate) {
       return angularDateFilter(theDate, "d.");
    }
  }).
  filter('fgEndDateLong', function($filter) {
    var angularDateFilter = $filter('date');
    return function(theDate) {
       return angularDateFilter(theDate, " '-' d. MMMM y',' ");
    }
  }).
  filter('fgDateTime', function($filter) {
    var angularDateFilter = $filter('date');
    return function(theDate) {
       return angularDateFilter(theDate, "HH.mm '-' ");
    }
  });
