/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
var app = {

    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        if (navigator.userAgent.match(/(iPhone|iPod|iPad|Android|BlackBerry|IEMobile)/)) {
            document.addEventListener('deviceready', this.onDeviceReady, false);
        } else {
          this.onDeviceReady(); //this is the desktop browser
        }

    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicity call 'app.receivedEvent(...);'
    onDeviceReady: function() {

        StatusBar.hide();

        //app.checkConnection();

        // ios7 markieren, da hier das StatusBar.hide am unteren Rand die 20px der statusbar "abschneidet", diese kommen dann per css wieder ran
        if (window.device != null && window.device.platform == 'iOS' && parseFloat(window.device.version) >= 7.0) {
            document.body.setAttribute('class','ios7');
        }
        // damit wir fuer die Tastatur den Bereich "freilassen" koennen hier Android "markieren"
        if (window.device != null && angular.lowercase(window.device.platform) == 'android') {
            document.body.setAttribute('class','android');
        }
    }/*,


    checkConnection: function () {

        if(navigator.connection == null) return;

        var networkState = navigator.connection.type;
        //alert('networkState: '+networkState);
        var states = {};
        states[Connection.UNKNOWN]  = 'Unknown connection';
        states[Connection.ETHERNET] = 'Ethernet connection';
        states[Connection.WIFI]     = 'WiFi connection';
        states[Connection.CELL_2G]  = 'Cell 2G connection';
        states[Connection.CELL_3G]  = 'Cell 3G connection';
        states[Connection.CELL_4G]  = 'Cell 4G connection';
        states[Connection.CELL]     = 'Cell generic connection';
        states[Connection.NONE]     = 'No network connection';

        //if (networkState == 'none') notificationService.alert('no connection');
    }
*/

};
